%define url_ver	%(echo %{version} | cut -d. -f1,2)

# exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Summary:	A date and time panel plugin for the Xfce panel
Name:		xfce4-datetime-plugin
Version:	0.6.2
Release:	%mkrel 8
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-datetime-plugin
Source0:	http://archive.xfce.org/src/panel-plugins/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
Requires:	xfce4-panel >= 4.8.0
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libxfce4ui-1)
BuildRequires:	pkgconfig(libxfce4panel-1.0)

%description
A date and time panel plugin for the Xfce panel.

%prep
%setup -q

%build
#to fix debug symbols build
%xdt_autogen
%configure2_5x
%make

%install
%makeinstall_std

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog AUTHORS
%{_libdir}/xfce4/panel/plugins/libdatetime.so
%{_datadir}/xfce4/panel/plugins/datetime.desktop


%changelog
* Wed Feb 17 2016 umeabot <umeabot> 0.6.2-8.mga6
+ Revision: 963519
- Mageia 6 Mass Rebuild

* Sat Sep 19 2015 wally <wally> 0.6.2-7.mga6
+ Revision: 881489
- fix debug symbols build

* Tue Mar 03 2015 wally <wally> 0.6.2-6.mga5
+ Revision: 817436
- rebuild for new libxfce4util

* Wed Oct 15 2014 umeabot <umeabot> 0.6.2-5.mga5
+ Revision: 745843
- Second Mageia 5 Mass Rebuild

* Sun Sep 21 2014 umeabot <umeabot> 0.6.2-4.mga5
+ Revision: 706911
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.6.2-3.mga4
+ Revision: 522240
- Mageia 4 Mass Rebuild

* Sat Feb 16 2013 wally <wally> 0.6.2-2.mga3
+ Revision: 398719
- clean .spec a bit more

* Fri Feb 15 2013 wally <wally> 0.6.2-1.mga3
+ Revision: 398577
- new version 0.6.2
- exclude plugin .so from provides
- clean .spec
- imported package xfce4-datetime-plugin


* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.1-4mdv2010.1
+ Revision: 543422
- rebuild for mdv 2010.1

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 0.6.1-3mdv2010.0
+ Revision: 445982
- rebuild

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.1-2mdv2009.1
+ Revision: 349449
- rebuild for xfce-4.6.0

* Thu Nov 20 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.1-1mdv2009.1
+ Revision: 305323
- update to new version 0.6.1

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-2mdv2009.1
+ Revision: 294992
- rebuild for new Xfce4.6 beta1

* Fri Jul 04 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-1mdv2009.0
+ Revision: 231697
- add buildrequires on intltool
- update to new version 0.6.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0-2mdv2008.1
+ Revision: 110115
- correct buildrequires
- new license policy
- use upstream tarball name as a real name
- spec file clean
- use upstream name

* Thu May 24 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.5.0-1mdv2008.0
+ Revision: 30458
- Fix File list

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update url
    - spec file clean
    - new version

